View Issue Details

IDProjectCategoryView StatusLast Update
0032268LazarusWidgetsetpublic2017-08-25 10:16
ReporterOndrej PokornyAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version1.8Fixed in Version1.9 (SVN) 
Summary0032268: Font issues at high-DPI on Gtk2
DescriptionGtk2 scales fonts wrongly when Application.Scaled := True. It happens since r55635
TagsNo tags attached.
Fixed in Revisionr55665
LazTarget1.8
WidgetsetGTK 2
Attached Files

Relationships

related to 0031199 closedMichl High-DPI Ubuntu screens not detected 

Activities

Ondrej Pokorny

2017-08-13 23:45

developer  

r55635.png (158,992 bytes)
r55635.png (158,992 bytes)

Michl

2017-08-15 22:49

developer   ~0102192

I fixed this issue in trunk revision 55665. As I can see and test, there are no sideeffects. I'll wait if problems occur before merging it to 1.8.

Ondrej Pokorny

2017-08-25 10:16

developer   ~0102360

Thank you!

Issue History

Date Modified Username Field Change
2017-08-13 23:45 Ondrej Pokorny New Issue
2017-08-13 23:45 Ondrej Pokorny File Added: r55635.png
2017-08-13 23:46 Ondrej Pokorny Relationship added related to 0031199
2017-08-15 22:49 Michl Fixed in Revision => r55665
2017-08-15 22:49 Michl LazTarget - => 1.8
2017-08-15 22:49 Michl Widgetset => GTK 2
2017-08-15 22:49 Michl Note Added: 0102192
2017-08-15 22:49 Michl Status new => resolved
2017-08-15 22:49 Michl Fixed in Version => 1.9 (SVN)
2017-08-15 22:49 Michl Resolution open => fixed
2017-08-15 22:49 Michl Assigned To => Michl
2017-08-25 10:16 Ondrej Pokorny Note Added: 0102360
2017-08-25 10:16 Ondrej Pokorny Status resolved => closed